#include <Wire.h>

byte I2C_Byte_Addr = 0xF4;
byte ADC_Pins_Addr = 0xF6;

void setup() {
  Wire.begin();                       //Initiate the Wire library and join the I2C bus as a master
  Serial.begin(9600);                 //Opens serial port, sets data rate to 9600 bps
  writeI2C(I2C_Byte_Addr, 0x01);
}

void loop() {
  writeI2C(I2C_Byte_Addr, 0x00);
  delayMicroseconds(600);
  uint8_t ADC_value = readI2C(ADC_Pins_Addr, 0x00, 0x01);
  
  Serial.print("Value: ");
  Serial.println(ADC_value);
  
  writeI2C(I2C_Byte_Addr, 0x01);
  delay(1000);
}

void writeI2C(byte addr, byte data) {
  Wire.beginTransmission(0x00);
  Wire.write(addr);
  Wire.write(data);
  Wire.endTransmission();
}

uint8_t readI2C(byte addr, byte slave_addr, byte bytes_to_read) {
  uint8_t value;
  Wire.beginTransmission(0x00);
  Wire.write(addr);
  Wire.endTransmission();
  Wire.requestFrom(slave_addr, bytes_to_read);
  while(Wire.available()) { value = Wire.read(); }
  return value;
}
